summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--docs/conf.py1
-rw-r--r--docs/conf.yaml3
-rw-r--r--docs/index.rst20
-rw-r--r--docs/release/installation/index.rst2
-rw-r--r--docs/requirements.txt2
-rwxr-xr-xtools/daisy-img-modify.sh6
-rw-r--r--tox.ini10
7 files changed, 40 insertions, 4 deletions
diff --git a/docs/conf.py b/docs/conf.py
new file mode 100644
index 00000000..eb12e74b
--- /dev/null
+++ b/docs/conf.py
@@ -0,0 +1 @@
+from docs_conf.conf import * # noqa: F401,F403
diff --git a/docs/conf.yaml b/docs/conf.yaml
new file mode 100644
index 00000000..bb1beaa1
--- /dev/null
+++ b/docs/conf.yaml
@@ -0,0 +1,3 @@
+---
+project_cfg: opnfv
+project: daisy
diff --git a/docs/index.rst b/docs/index.rst
new file mode 100644
index 00000000..e6ae4c9b
--- /dev/null
+++ b/docs/index.rst
@@ -0,0 +1,20 @@
+.. This work is licensed under a Creative Commons Attribution 4.0
+.. International License.
+.. SPDX-License-Identifier: CC-BY-4.0
+.. (c) Open Platform for NFV Project, Inc. and its contributors
+
+.. _daisy:
+
+=========
+Daisy4NFV
+=========
+
+.. toctree::
+ :maxdepth: 2
+
+ release/installation/index
+ release/configguide/index
+ release/release-notes/index
+ development/design/index
+ development/requirement/multicast
+ test
diff --git a/docs/release/installation/index.rst b/docs/release/installation/index.rst
index 611ecf63..3080e14b 100644
--- a/docs/release/installation/index.rst
+++ b/docs/release/installation/index.rst
@@ -8,7 +8,7 @@ OPNFV Daisy4nfv Installation Guide
**********************************
.. toctree::
- :numbered:
+ :numbered:
:maxdepth: 4
introduction.rst
diff --git a/docs/requirements.txt b/docs/requirements.txt
new file mode 100644
index 00000000..9fde2df2
--- /dev/null
+++ b/docs/requirements.txt
@@ -0,0 +1,2 @@
+lfdocs-conf
+sphinx_opnfv_theme
diff --git a/tools/daisy-img-modify.sh b/tools/daisy-img-modify.sh
index ff1ff437..6d2ff53f 100755
--- a/tools/daisy-img-modify.sh
+++ b/tools/daisy-img-modify.sh
@@ -165,8 +165,8 @@ resize() {
kpartx -av $raw_imgfile
sleep 2
dmsetup ls
- fdisk -l /dev/${loopdevice:0:5} || true
- growpart /dev/${loopdevice:0:5} 1
+ fdisk -l /dev/${loopdevice:0:-2} || true
+ growpart /dev/${loopdevice:0:-2} 1
dmsetup clear $loopdevice
kpartx -dv $raw_imgfile || eliminate
}
@@ -179,7 +179,7 @@ setup() {
kpartx -av $raw_imgfile
sleep 2
dmsetup ls
- fdisk -l /dev/${loopdevice:0:5} || true
+ fdisk -l /dev/${loopdevice:0:-2} || true
if [ "xfs" = "$(blkid -o value -s TYPE /dev/mapper/$loopdevice)" ]; then
mountopts="-o nouuid"
diff --git a/tox.ini b/tox.ini
index 28fbf8f5..7fd6b841 100644
--- a/tox.ini
+++ b/tox.ini
@@ -25,9 +25,19 @@ setenv=
PYTHONPATH = {toxinidir}
[testenv:pep8]
+usedevelop = False
deps = flake8
commands = flake8 {toxinidir}
+[testenv:docs]
+usedevelop = False
+deps = -rdocs/requirements.txt
+commands =
+ sphinx-build -b html -n -d {envtmpdir}/doctrees ./docs/ {toxinidir}/docs/_build/html
+
+[testenv:docs-linkcheck]
+commands = sphinx-build -b linkcheck -d {envtmpdir}/doctrees ./docs/ {toxinidir}/docs/_build/linkcheck
+
[flake8]
# H803 skipped on purpose per list discussion.
# E123, E125 skipped as they are invalid PEP-8.